#
# Conditional build:
%bcond_with	doc	# documentation
%bcond_without	tests	# unit tests

%define 	module	markdown
Summary:	Markdown implementation in Python 3
Summary(pl.UTF-8):	Implementacja formatu Markdown w Pythonie 3
Name:		python3-%{module}
Version:	3.8
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/markdown/
Source0:	https://files.pythonhosted.org/packages/source/M/Markdown/markdown-%{version}.tar.gz
# Source0-md5:	9eaa1a79a484890d04790fe04a75e7a9
URL:		https://pypi.org/project/markdown/
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-installer
BuildRequires:	python3-setuptools >= 1:77.0
%if %{with tests}
BuildRequires:	python3-PyYAML
%if "%{py3_ver}" == "3.9"
BuildRequires:	python3-importlib_metadata >= 4.4
%endif
%endif
%if %{with doc}
BuildRequires:	python3-mdx_gh_links >= 0.2
BuildRequires:	python3-mkdocs >= 1.6
BuildRequires:	python3-mkdocs-gen-files
BuildRequires:	python3-mkdocs-literate-nav
BuildRequires:	python3-mkdocs-nature >= 0.6
BuildRequires:	python3-mkdocs-secion-index
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.9
Conflicts:	python-markdown < 3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python 3 implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.

%description -l pl.UTF-8
Ten pakiet zawiera implementację formatu Markdown Johna Grubera w
Pythonie 3. Jest prawie całkowicie zgodna z implementacją wzorcową,
choć jest kilka znanych problemów.

%prep
%setup -q -n markdown-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m unittest discover tests
%endif

%if %{with doc}
mkdocs-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

# rename binary
%{__mv} $RPM_BUILD_ROOT%{_bindir}/markdown_py{,-%{py3_ver}}
# default binary
ln -s markdown_py-%{py3_ver} $RPM_BUILD_ROOT%{_bindir}/markdown_py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md docs/{change_log,extensions,authors.md,cli.md,favicon.ico,index.md,py.png,reference.md}
%attr(755,root,root) %{_bindir}/markdown_py
%attr(755,root,root) %{_bindir}/markdown_py-%{py3_ver}
%{py3_sitescriptdir}/markdown
%{py3_sitescriptdir}/markdown-%{version}.dist-info
%changelog
* Fri Jun 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-markdown.git;a=log;h=master

* Sun May 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 43c54d2
- updated to 3.8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 2ea31e4
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8f424bf
- python 3.13 rebuild

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 9b70f3c
- updated to 3.4.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9ca3426
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 12aef38
- rebuild with python 3.10

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> e4a24b4
- updated to 3.3.4 (later versions require importlib_metatada 4.4, not yet in PLD)

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 54241bf
- setuptools epoch

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> e92eb55
- release 2

* Mon Jan 18 2021 Jakub Bogusz <qboosh@pld-linux.org> fc7d0b3
- python-markdown.spec renamed to python3-markdown.spec, updated to 3.3.3 for python 3.6+

* Mon Jan 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 0d81595
- added doc BRs

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 24f34a9
- add Conflicts to handle default script move

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 24e2a6a
- python-modules 2.7 already contains elementtree

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> c105842
- updated to 3.1.1
- removed obsolete yaml patch
- moved default binary to python3

* Tue Dec 31 2019 Jakub Bogusz <qboosh@pld-linux.org> f8e0eed
- updated URLs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 28292b0
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Mar 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 4c99705
- updated to 2.6.11
- added yaml patch (fix for PyYAML 5.1, partially from git)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ab2b94
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0502bce
- python 3.6
- release 2 (by relup.sh)

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> cc59a98
- standard build-base works now

